import request from '/@/utils/request';

export function identifyApi() {
	return {
		getIdentifyByList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/select/selectAssessPage',
				method: 'post',
				data: params
			});
		},

		addIdentify: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/identification',
				method: 'post',
				data: params
			});
		},

		modIdentify: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/updateIdentification',
				method: 'post',
				data: params
			});
		},

		// 修改辨识方法

		UpdateIdentifyMethod: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/identificationUpdateMethod',
				method: 'post',
				data: params
			});
		},

		deleteIdentifyById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/delete/deleteIdentification',
				method: 'post',
				data: params
			});
		},

		submitIdentify: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/identificationSubmit',
				method: 'post',
				data: params
			});
		},

	};
}
